@import "../../../style/index.scss";

.filter{
  margin: 30px 15px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  &__box{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  &__search{
    margin: 14px 0;
    padding: 2px 5px;
    
    font-size: 18px;

    &-titel{
      font-weight: 500;
      font-size: calc(1.3rem + .6vw);
    }
  }

  &__categorie{
    font-weight: 500;
    font-size: calc(1.3rem + .4vw);

    &-select{
      padding: 4px 5px;
      margin: 14px 0;
    
      font-size: 18px;

      border: 1px solid;
    }

    &-list{
      margin: 14px 18px;
    }

    &-btn{
      background-color: $backgroundColor;
      border: none;

      font-size: 18px;
      line-height: 24px;

      cursor: pointer;
      
      @include animate;
    }

     &-btn:hover{
      color:$linkHover ;
    }
  }

  &__btn-active{
    color:$linkHover;
  }
}

@media (max-width:$widthXM){
  .filter{
    flex-direction: row;

    &__box{
      margin-right: 10px;
    }
  }
}